# $Revision: 1.11 $, $Date: 2002/09/18 20:45:18 $
#
# Conditional build:
# _without_tests - do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	XML
%define	pnam	SAX
Summary:	XML::SAX - Simple API for XML
Summary(pl):	XML::SAX - Proste API dla XML
Name:		perl-XML-SAX
Version:	0.11
Release:	5
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	ftp://ftp.cpan.org/pub/CPAN/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
Patch0:		%{name}-noalter.patch
BuildRequires:	perl-XML-NamespaceSupport >= 0.03
BuildRequires:	perl >= 5.6.1
BuildRequires:	rpm-perlprov >= 4.0.2-56
Provides:	perl(XML::SAX::PurePerl::Productions)
Provides:	perl(XML::SAX::PurePerl::Reader)
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define _noautoreq	"perl(Encode)" "perl(XML::SAX::PurePerl::DocType)" "perl(XML::SAX::PurePerl::DTDDecls)" "perl(XML::SAX::PurePerl::EncodingDetect)" "perl(XML::SAX::PurePerl::NoUnicodeExt)" "perl(XML::SAX::PurePerl::Reader::NoUnicodeExt)" "perl(XML::SAX::PurePerl::Reader::UnicodeExt)" "perl(XML::SAX::PurePerl::UnicodeExt)" "perl(XML::SAX::PurePerl::XMLDecl)"

%description
XML::SAX consists of several framework classes for using and building
Perl SAX2 XML parsers, filters, and drivers. It is designed around the
need to be able to "plug in" different SAX parsers to an application
without requiring programmer intervention. Those of you familiar with
the DBI will be right at home. Some of the designs come from the Java
JAXP specification (SAX part), only without the javaness.

%description -l pl
XML::SAX skada si z kilku klas tworzcych szkielet do uywania i
budowania parserw, filtrw i sterownikw SAX2 XML w Perlu. Zadaniem
moduu jest umoliwienie wczania rnych parserw SAX do aplikacji
bez udziau programisty. Znajcy moduy DBI bd si czuli jak w domu.
Niektre koncepcje pochodz ze specyfikacji Java JAXP (cz SAX), ale
bez javowoci.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}
%patch -p1

%build
perl Makefile.PL
%{__make}

%{!?_without_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

touch $RPM_BUILD_ROOT%{perl_sitelib}/XML/SAX/ParserDetails.ini

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_sitelib}/XML/SAX.pm
%dir %{perl_sitelib}/XML/SAX
%{perl_sitelib}/XML/SAX/*.pm
%{perl_sitelib}/XML/SAX/PurePerl
%{perl_sitelib}/XML/SAX/ParserDetails.ini
%{_mandir}/man3/*

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-XML-SAX.spec,v $
Revision 1.11  2002/09/18 20:45:18  radek
- added missing files
- enabled tests
- ghostbusted ParserDetails.ini (after reading XML::SAX(3))
- release 5
STBR

Revision 1.10  2002/09/17 18:56:55  ankry
- added Provides: for modules not properly recognized by current
  rpm-perlprov, release 4

Revision 1.9  2002/09/17 11:33:49  ankry
- added ParserDetails.ini as %%ghost
- release 3

Revision 1.8  2002/09/14 12:51:39  qboosh
- fixed build with perl-XML-SAX already installed (noalter patch)
- release 2

Revision 1.7  2002/09/08 11:02:18  radek
- version 0.11
- provided informative summary, fixed License field

Revision 1.6  2002/07/20 15:27:05  kloczek
- release 2.

Revision 1.5  2002/07/20 15:07:41  qboosh
- new %%doc, cosmetics

Revision 1.4  2002/07/10 09:03:09  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.3  2002/05/11 14:28:14  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.2  2002/04/15 10:23:30  qboosh
- pl descriptions

Revision 1.1  2002/04/14 14:01:22  grabba
- first release
